From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-news/rssguard/
Date: Fri, 13 Jan 2023 13:47:43 +0000 (UTC) [thread overview]
Message-ID: <1673617636.a3803f5f57cefedc60cae3e298be57b8820dcaed.juippis@gentoo> (raw)
commit: a3803f5f57cefedc60cae3e298be57b8820dcaed
Author: Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Fri Jan 13 13:44:48 2023 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Jan 13 13:47:16 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a3803f5f
net-news/rssguard: add 4.2.7
Signed-off-by: Anna Vyalkova <cyber+gentoo <AT> sysrq.in>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
| 1 +
| 62 +++++++++++++++++++++++++++++++++
2 files changed, 63 insertions(+)
--git a/net-news/rssguard/Manifest b/net-news/rssguard/Manifest
index 940d28d1e2f6..51280d1edbb0 100644
--- a/net-news/rssguard/Manifest
+++ b/net-news/rssguard/Manifest
@@ -1,3 +1,4 @@
DIST rssguard-4.2.1.tar.gz 22541187 BLAKE2B 78cc23a39cd75697b53b4c3b043a63d01b8b4e9a9b1cc3fc3f070487dede8d18a33ca462f806b4bfb6847e015a2bacaa77ce27745a95349fb2c09c72cccde3d2 SHA512 05b69d47b3d679005122e03c404ea26d8779f3905ac05ac0565631135c26c56d21ef2f4b3939af6c191a20727a4416e9669ceb4a001e729ffe45fc351183f53a
DIST rssguard-4.2.3.tar.gz 21940720 BLAKE2B fe97fb26261ec0ec06eac305c96317299921492f7796d246a6d4e7348b7dd8c6484cf52bec0bdd032a02a897a0406a73077e7366d601e1ef80b98ce2dac592ad SHA512 0ead2ae8d23d9fc6e7a6d42fd462e36be06a5a28e26398550dfa9cb2b7dd4574f2cb7a881a0d0b6d43bdb219db87cc92af9d5f131429e93f255f17f70dee244d
DIST rssguard-4.2.5.tar.gz 22004006 BLAKE2B dc8dea6956a0d538cec5759e94246fc6f5314e6a5fd1ff4315cbf626568d8c817a6a4c378ca9275156d55f88e304d7db8afb0be952c68efef5acb8c8ba0f0a24 SHA512 2fc2a08226d41567db4758aaddeb533e6a4e96923b4df663080dd83dee3bae587ea6a8d06eb26788173c34b11f92859547bacc26465cdfbf2a9297de910c5b98
+DIST rssguard-4.2.7.tar.gz 22029315 BLAKE2B d57fe65c064dcf1ab4b1d6edac127c20a4b0ac0af17bd2b2abe3fc285ab43dd4212c1ec01e97ba8326879df2fb56dfe1046ab02008ae044ab5353ffe3a67542b SHA512 5b50609ebf24d6fe8a494b53aefa0c4a5831461e16157813049f5086c0258e880777d8e4bc8ebe48ac3cb57f858b8630263aa6417d7f8bd6885bbea1e7bf2e32
--git a/net-news/rssguard/rssguard-4.2.7.ebuild b/net-news/rssguard/rssguard-4.2.7.ebuild
new file mode 100644
index 000000000000..e624e3da3001
--- /dev/null
+++ b/net-news/rssguard/rssguard-4.2.7.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake optfeature xdg
+
+DESCRIPTION="Simple (yet powerful) feed reader"
+HOMEPAGE="https://github.com/martinrotter/rssguard"
+SRC_URI="https://github.com/martinrotter/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="|| ( LGPL-3 GPL-2+ ) AGPL-3+ BSD GPL-3+ MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="mysql qt6 +sqlite webengine"
+REQUIRED_USE="|| ( mysql sqlite )"
+
+BDEPEND="
+ !qt6? ( dev-qt/linguist-tools:5 )
+ qt6? ( dev-qt/qttools:6[linguist] )
+"
+DEPEND="
+ !qt6? (
+ dev-qt/qtcore:5
+ dev-qt/qtdbus:5
+ dev-qt/qtdeclarative:5
+ dev-qt/qtgui:5
+ dev-qt/qtmultimedia:5[gstreamer]
+ dev-qt/qtnetwork:5[ssl]
+ dev-qt/qtsql:5[mysql?,sqlite?]
+ dev-qt/qtwidgets:5
+ dev-qt/qtxml:5
+ webengine? ( dev-qt/qtwebengine:5[widgets(+)] )
+ )
+ qt6? (
+ dev-qt/qtbase:6[dbus,gui,mysql?,network,sql,sqlite?,ssl,widgets]
+ dev-qt/qtdeclarative:6
+ dev-qt/qtmultimedia:6[gstreamer]
+ dev-qt/qt5compat:6
+ media-libs/libglvnd
+ webengine? ( dev-qt/qtwebengine:6[widgets(+)] )
+ )
+"
+RDEPEND="${DEPEND}"
+
+DOCS=( README.md resources/docs/Documentation.md )
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_WITH_QT6=$(usex qt6)
+ -DUSE_WEBENGINE=$(usex webengine)
+ -DNO_UPDATE_CHECK=ON
+ )
+
+ cmake_src_configure
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+
+ optfeature "ad blocking functionality" net-libs/nodejs[npm]
+}
next reply other threads:[~2023-01-13 13:47 UTC|newest]
Thread overview: 75+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-01-13 13:47 Joonas Niilola [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-02 7:06 [gentoo-commits] repo/gentoo:master commit in: net-news/rssguard/ Michał Górny
2025-01-05 2:55 Michał Górny
2024-12-20 8:23 Michał Górny
2024-10-12 15:47 Michał Górny
2024-10-12 14:57 Sam James
2024-10-07 18:48 Michał Górny
2024-09-27 6:32 Michał Górny
2024-08-10 11:16 Michał Górny
2024-08-10 10:28 Michał Górny
2024-07-26 15:28 Michał Górny
2024-06-15 8:42 Michał Górny
2024-06-15 8:40 Arthur Zamarin
2024-05-31 15:21 Michał Górny
2024-05-31 15:21 Michał Górny
2024-05-30 3:31 Michał Górny
2024-05-15 2:08 Michał Górny
2024-03-30 14:27 Michał Górny
2024-03-30 14:25 Michał Górny
2024-03-15 13:15 Michał Górny
2024-01-18 18:46 Michał Górny
2024-01-18 17:37 Arthur Zamarin
2023-12-15 16:59 Michał Górny
2023-12-09 6:53 Michał Górny
2023-12-07 17:24 Michał Górny
2023-12-02 11:12 Michał Górny
2023-12-02 10:35 Arthur Zamarin
2023-11-14 20:06 Michał Górny
2023-11-13 17:41 Michał Górny
2023-11-12 3:59 Michał Górny
2023-11-11 22:41 Sam James
2023-11-02 14:28 Michał Górny
2023-11-01 16:05 Michał Górny
2023-10-05 14:59 Michał Górny
2023-08-25 9:49 Michał Górny
2023-08-20 10:57 Michał Górny
2023-08-20 10:29 Sam James
2023-07-10 19:26 Arthur Zamarin
2023-06-28 5:06 Michał Górny
2023-05-13 9:04 Michał Górny
2023-05-13 8:40 Arthur Zamarin
2023-05-13 8:35 Michał Górny
2023-05-08 7:44 Joonas Niilola
2023-05-08 7:44 Joonas Niilola
2023-04-04 16:43 Arthur Zamarin
2023-02-09 15:53 Joonas Niilola
2023-02-09 15:53 Joonas Niilola
2023-01-13 13:47 Joonas Niilola
2022-10-03 18:34 Ionen Wolkens
2022-06-09 0:57 Ionen Wolkens
2022-03-24 7:28 Ionen Wolkens
2022-01-19 16:28 Joonas Niilola
2021-10-30 6:24 Joonas Niilola
2021-09-28 13:26 Joonas Niilola
2021-09-09 11:30 Joonas Niilola
2021-09-09 11:30 Joonas Niilola
2021-07-07 13:41 Joonas Niilola
2020-12-17 17:33 Sam James
2020-12-16 1:44 Sam James
2020-12-15 3:25 Sam James
2020-12-15 3:25 Sam James
2020-01-18 17:16 Andreas Sturmlechner
2020-01-05 20:08 Jeroen Roovers
2020-01-05 17:00 Andreas Sturmlechner
2020-01-05 17:00 Andreas Sturmlechner
2018-10-20 12:17 Pacho Ramos
2018-10-20 12:17 Pacho Ramos
2018-07-18 21:11 Jonas Stein
2017-11-29 23:19 Andreas Sturmlechner
2017-11-29 23:19 Andreas Sturmlechner
2017-08-13 13:23 Patrice Clement
2017-08-13 13:23 Patrice Clement
2017-06-20 12:37 Pacho Ramos
2016-11-24 10:54 Michael Palimaka
2015-10-01 14:21 Michael Palimaka
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1673617636.a3803f5f57cefedc60cae3e298be57b8820dcaed.juippis@gentoo \
--to=juippis@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox